%global modulescope @babel
%global modulename @babel/core

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-babel-core
Version:        7.1.6
Release:        1%{?dist}
Summary:        Babel compiler core.

License:        MIT
URL:            https://babeljs.io/
Source0:        https://registry.npmjs.org/@babel/core/-/core-7.1.6.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(@babel/code-frame) >= 7.0.0 with npmlib(@babel/code-frame) < 8.0.0))
BuildRequires:  ((npmlib(@babel/generator) >= 7.1.6 with npmlib(@babel/generator) < 8.0.0))
BuildRequires:  ((npmlib(@babel/helpers) >= 7.1.5 with npmlib(@babel/helpers) < 8.0.0))
BuildRequires:  ((npmlib(@babel/parser) >= 7.1.6 with npmlib(@babel/parser) < 8.0.0))
BuildRequires:  ((npmlib(@babel/template) >= 7.1.2 with npmlib(@babel/template) < 8.0.0))
BuildRequires:  ((npmlib(@babel/traverse) >= 7.1.6 with npmlib(@babel/traverse) < 8.0.0))
BuildRequires:  ((npmlib(@babel/types) >= 7.1.6 with npmlib(@babel/types) < 8.0.0))
BuildRequires:  ((npmlib(convert-source-map) >= 1.1.0 with npmlib(convert-source-map) < 2.0.0))
BuildRequires:  ((npmlib(debug) >= 4.1.0 with npmlib(debug) < 5.0.0))
BuildRequires:  ((npmlib(json5) >= 2.1.0 with npmlib(json5) < 3.0.0))
BuildRequires:  ((npmlib(lodash) >= 4.17.10 with npmlib(lodash) < 5.0.0))
BuildRequires:  ((npmlib(resolve) >= 1.3.2 with npmlib(resolve) < 2.0.0))
BuildRequires:  ((npmlib(semver) >= 5.4.1 with npmlib(semver) < 6.0.0))
BuildRequires:  ((npmlib(source-map) >= 0.5.0 with npmlib(source-map) < 0.6.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Babel compiler core.

%package 7.1.6
Summary:        Babel compiler core.


%description 7.1.6
Babel compiler core.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
mkdir %{buildroot}%{nodejs_dir}/%{modulescope}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}
%dir %{nodejs_dir}/%{modulescope}

%files 7.1.6
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/
%dir %{npmlib_dir}/%{modulescope}

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 7.1.6-1
- Package automatically generated by npm2srpm
